
package de.ivu.elect.business.stimmeingabe.entity;

import javax.inject.Named;

@Named(StimmeingabeGruppeStimmenMeta.COMPONENT_NAME)
public class StimmeingabeGruppeStimmenMeta extends AbstractStimmeingabeStimmenMeta {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "stimmeingabeGruppeStimmenMeta";

  public StimmeingabeGruppeStimmenMeta() {
    super();
  }

  @Override
  public String getEinzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public String getMehrzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }

  public String getKennungFortlaufendEinzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_KENNUNG_FORTLAUFEND_EINZAHL;
  }

  public String getKennungFortlaufendMehrzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_KENNUNG_FORTLAUFEND_MEHRZAHL;
  }

  public String getKennungFortlaufendEinzahlMessage() {
    return getMessage(getKennungFortlaufendEinzahlMessageKey());
  }

  public String getKennungFortlaufendMehrzahlMessage() {
    return getMessage(getKennungFortlaufendMehrzahlMessageKey());
  }

  @Override
  public String getKennungEinzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_KENNUNG_EINZAHL;
  }

  @Override
  public String getKennungMehrzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_KENNUNG_MEHRZAHL;
  }

  public String getOrdnungszahlEinzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_ORDNUNGSZAHL_EINZAHL;
  }

  public String getOrdnungszahlMehrzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_ORDNUNGSZAHL_MEHRZAHL;
  }

  public String getOrdnungszahlEinzahlMessage() {
    return getMessage(getOrdnungszahlEinzahlMessageKey());
  }

  public String getOrdnungszahlMehrzahlMessage() {
    return getMessage(getOrdnungszahlMehrzahlMessageKey());
  }

  @Override
  public String getBezeichnungEinzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_BEZEICHNUNG_EINZAHL;
  }

  @Override
  public String getBezeichnungMehrzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_BEZEICHNUNG_MEHRZAHL;
  }

  public String getStimmeingabeDirektstimmeKennungEinzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_STIMMEINGABE_DIREKTSTIMME_KENNUNG_EINZAHL;
  }

  public String getStimmeingabeDirektstimmeKennungMehrzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_STIMMEINGABE_DIREKTSTIMME_KENNUNG_MEHRZAHL;
  }

  public String getStimmeingabeDirektstimmeKennungEinzahlMessage() {
    return getMessage(getStimmeingabeDirektstimmeKennungEinzahlMessageKey());
  }

  public String getStimmeingabeDirektstimmeKennungMehrzahlMessage() {
    return getMessage(getStimmeingabeDirektstimmeKennungMehrzahlMessageKey());
  }

  public String getStimmeingabeDirektstimmeBezeichnungEinzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_STIMMEINGABE_DIREKTSTIMME_BEZEICHNUNG_EINZAHL;
  }

  public String getStimmeingabeDirektstimmeBezeichnungMehrzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_STIMMEINGABE_DIREKTSTIMME_BEZEICHNUNG_MEHRZAHL;
  }

  public String getStimmeingabeDirektstimmeBezeichnungEinzahlMessage() {
    return getMessage(getStimmeingabeDirektstimmeBezeichnungEinzahlMessageKey());
  }

  public String getStimmeingabeDirektstimmeBezeichnungMehrzahlMessage() {
    return getMessage(getStimmeingabeDirektstimmeBezeichnungMehrzahlMessageKey());
  }

  public String getStimmeingabeListenstimmeKennungEinzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_STIMMEINGABE_LISTENSTIMME_KENNUNG_EINZAHL;
  }

  public String getStimmeingabeListenstimmeKennungMehrzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_STIMMEINGABE_LISTENSTIMME_KENNUNG_MEHRZAHL;
  }

  public String getStimmeingabeListenstimmeKennungEinzahlMessage() {
    return getMessage(getStimmeingabeListenstimmeKennungEinzahlMessageKey());
  }

  public String getStimmeingabeListenstimmeKennungMehrzahlMessage() {
    return getMessage(getStimmeingabeListenstimmeKennungMehrzahlMessageKey());
  }

  public String getStimmeingabeListenstimmeBezeichnungEinzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_STIMMEINGABE_LISTENSTIMME_BEZEICHNUNG_EINZAHL;
  }

  public String getStimmeingabeListenstimmeBezeichnungMehrzahlMessageKey() {
    return StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_STIMMEINGABE_LISTENSTIMME_BEZEICHNUNG_MEHRZAHL;
  }

  public String getStimmeingabeListenstimmeBezeichnungEinzahlMessage() {
    return getMessage(getStimmeingabeListenstimmeBezeichnungEinzahlMessageKey());
  }

  public String getStimmeingabeListenstimmeBezeichnungMehrzahlMessage() {
    return getMessage(getStimmeingabeListenstimmeBezeichnungMehrzahlMessageKey());
  }
}
